org.wildfly.swarm.config.jgroups.stack

## Class Transport<T extends Transport<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.jgroups.stack.Transport<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Transport<T extends Transport<T>>
      extends HashMap

  The configuration of a transport for a protocol stack.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Transport.TransportResources` Child mutators for Transport

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transport(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `defaultThreadPool()` A thread pool executor
    `T` | `defaultThreadPool(DefaultThreadPool value)` A thread pool executor
    `T` | `defaultThreadPool(DefaultThreadPoolConsumer consumer)` A thread pool executor
    `T` | `defaultThreadPool(DefaultThreadPoolSupplier supplier)` A thread pool executor
    `String` | `diagnosticsSocketBinding()` The diagnostics socket binding specification for this protocol layer, used to specify IP interfaces and ports for communication.
    `T` | `diagnosticsSocketBinding(String value)` The diagnostics socket binding specification for this protocol layer, used to specify IP interfaces and ports for communication.
    `String` | `getKey()`
    `T` | `internalThreadPool()` A thread pool executor
    `T` | `internalThreadPool(InternalThreadPool value)` A thread pool executor
    `T` | `internalThreadPool(InternalThreadPoolConsumer consumer)` A thread pool executor
    `T` | `internalThreadPool(InternalThreadPoolSupplier supplier)` A thread pool executor
    `String` | `machine()` The machine (i.e.
    `T` | `machine(String value)` The machine (i.e.
    `String` | `module()` The module with which to resolve the protocol type.
    `T` | `module(String value)` The module with which to resolve the protocol type.
    `T` | `oobThreadPool()` A thread pool executor
    `T` | `oobThreadPool(OobThreadPool value)` A thread pool executor
    `T` | `oobThreadPool(OobThreadPoolConsumer consumer)` A thread pool executor
    `T` | `oobThreadPool(OobThreadPoolSupplier supplier)` A thread pool executor
    `Map` | `properties()` The properties of this protocol.
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `properties(Map value)` The properties of this protocol.
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String key, Object value)` The properties of this protocol.
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `String` | `rack()` The rack (i.e.
    `T` | `rack(String value)` The rack (i.e.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `site()` The site (i.e.
    `T` | `site(String value)` The site (i.e.
    `String` | `socketBinding()` The socket binding specification for this protocol layer, used to specify IP interfaces and ports for communication.
    `T` | `socketBinding(String value)` The socket binding specification for this protocol layer, used to specify IP interfaces and ports for communication.
    `Transport.TransportResources` | `subresources()`
    `T` | `timerThreadPool()` A thread pool executor
    `T` | `timerThreadPool(TimerThreadPool value)` A thread pool executor
    `T` | `timerThreadPool(TimerThreadPoolConsumer consumer)` A thread pool executor
    `T` | `timerThreadPool(TimerThreadPoolSupplier supplier)` A thread pool executor

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Transport

          public Transport(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Transport.TransportResources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### oobThreadPool

          public T oobThreadPool(OobThreadPool value)

      A thread pool executor

    - #### oobThreadPool

          public T oobThreadPool(OobThreadPoolConsumer consumer)

      A thread pool executor

    - #### oobThreadPool

          public T oobThreadPool()

      A thread pool executor

    - #### oobThreadPool

          public T oobThreadPool(OobThreadPoolSupplier supplier)

      A thread pool executor

    - #### internalThreadPool

          public T internalThreadPool(InternalThreadPool value)

      A thread pool executor

    - #### internalThreadPool

          public T internalThreadPool(InternalThreadPoolConsumer consumer)

      A thread pool executor

    - #### internalThreadPool

          public T internalThreadPool()

      A thread pool executor

    - #### internalThreadPool

          public T internalThreadPool(InternalThreadPoolSupplier supplier)

      A thread pool executor

    - #### defaultThreadPool

          public T defaultThreadPool(DefaultThreadPool value)

      A thread pool executor

    - #### defaultThreadPool

          public T defaultThreadPool(DefaultThreadPoolConsumer consumer)

      A thread pool executor

    - #### defaultThreadPool

          public T defaultThreadPool()

      A thread pool executor

    - #### defaultThreadPool

          public T defaultThreadPool(DefaultThreadPoolSupplier supplier)

      A thread pool executor

    - #### timerThreadPool

          public T timerThreadPool(TimerThreadPool value)

      A thread pool executor

    - #### timerThreadPool

          public T timerThreadPool(TimerThreadPoolConsumer consumer)

      A thread pool executor

    - #### timerThreadPool

          public T timerThreadPool()

      A thread pool executor

    - #### timerThreadPool

          public T timerThreadPool(TimerThreadPoolSupplier supplier)

      A thread pool executor

    - #### diagnosticsSocketBinding

          public String diagnosticsSocketBinding()

      The diagnostics socket binding specification for this protocol layer, used to specify IP interfaces and ports for communication.

    - #### diagnosticsSocketBinding

          public T diagnosticsSocketBinding(String value)

      The diagnostics socket binding specification for this protocol layer, used to specify IP interfaces and ports for communication.

    - #### machine

          public String machine()

      The machine (i.e. host) identifier for this node. Used by Infinispan topology-aware consistent hash.

    - #### machine

          public T machine(String value)

      The machine (i.e. host) identifier for this node. Used by Infinispan topology-aware consistent hash.

    - #### module

          public String module()

      The module with which to resolve the protocol type.

    - #### module

          public T module(String value)

      The module with which to resolve the protocol type.

    - #### properties

          public Map properties()

      The properties of this protocol.

    - #### properties

          public T properties(Map value)

      The properties of this protocol.

    - #### property

          public T property(String key,
                            Object value)

      The properties of this protocol.

    - #### rack

          public String rack()

      The rack (i.e. server rack) identifier for this node. Used by Infinispan topology-aware consistent hash.

    - #### rack

          public T rack(String value)

      The rack (i.e. server rack) identifier for this node. Used by Infinispan topology-aware consistent hash.

    - #### site

          public String site()

      The site (i.e. data centre) identifier for this node. Used by Infinispan topology-aware consistent hash.

    - #### site

          public T site(String value)

      The site (i.e. data centre) identifier for this node. Used by Infinispan topology-aware consistent hash.

    - #### socketBinding

          public String socketBinding()

      The socket binding specification for this protocol layer, used to specify IP interfaces and ports for communication.

    - #### socketBinding

          public T socketBinding(String value)

      The socket binding specification for this protocol layer, used to specify IP interfaces and ports for communication.

Copyright © 2017 JBoss by Red Hat. All rights reserved.